---
title: "Auditor Release Notes: Version 2.0.2"
layout: inside
permalink: /Patches/2.0.2.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.2, released on 12th November 2014. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.
---

> These patch notes have been edited - previously it contained two fixes that actually went into [2.0.1](./2.0.1) - namely:
>
>   * The removal of an error where multiple **label** elements had the same "for" attribute; and
>   * Extra decimal places for contrast tests that would otherwise appear to match the target contrast level, but fails at the third decimal place or deeper.

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Label element testing overhauled (Success Criterion 1.3.1)

The portion of this standard that handled labels on form controls has been updated for changes to the appropriate technique made in March 2014. This includes:

* *Implicit labelling permitted:*  
  Permitting **label** elements to wrap around form controls, instead of simply explicit referencing using the "for" attribute;

* *Self-labelling expanded:*  
  Recognising "aria-label" and "aria-labelledby" attributes on form controls when a **label** element is not suitable - as well as the "title" attribute;

* *Hidden fields:*  
  Recognising the HTML5 "hidden" attribute and removing errors for form controls marked up this way;

* *New error code for failures:*  
  Codes for errors now reference common failure technique F68, to make clear that it is a failure.

#### Colour contrast testing fixes (Success Criteria 1.4.3 and 1.4.6)

If an element is set to be absolutely positioned, or have an alpha channel set (using the CSS rgba() colour data type), Errors relating to contrast are reduced to Warnings.

#### Accessibility API (Role-State-Value) tests updated (Success Criterion 4.1.2)

When a single-selection **select** element does not contain an **option** with the "selected" attribute, this is now treated as a **Warning** rather than an Error,
as it is not clear as to whether this violates the need for a programmatically-determinable Accessibility API Value.

> This is due to the different approaches the most widely used versions of HTML take with this situation, and the (then) lack of ability to discern between different DOCTYPEs.
> In HTML 4.01, the value of a **select** box without a selected **option** is undefined. In HTML5 (and WHATWG HTML), the value defaults to that of the first valid **option**.

Also, **A** elements (in other words, anchors/links) are permitted to count their "title" attributes as valid Accessibility API Names.

[WCAG20]: http://www.w3.org/TR/WCAG20
