---
title: "Auditor Release Notes: Version 2.0.4"
layout: inside
permalink: /Patches/2.0.4.html
lead_content: >
    A list of featured updates to the HTML_CodeSniffer bookmarklet in release version 2.0.4, released on 2nd February 2015. This list is focused for users of the bookmarklet, and focuses on changes to tests and the auditor interface. A full list of updates can also be found in the project's technical <a href="https://github.com/squizlabs/HTML_CodeSniffer/blob/gh-pages/CHANGELOG.markdown">bookmarklet changelog</a>.
---

### WCAG 2.0 Standards Updates
{: #standards-wcag2}

_References to Principles, Guidelines, Success Criteria and Conformance Requirements should be read in line with the [WCAG 2.0 Recommendation][WCAG20]._

#### Updates and bug fixes
{: #standards-wcag2-bugs}

* *Success Criterion 1.3.1:*  

  If a "for" attribute on a **label** element is filled but does not point to the ID of a form control, this is now treated as a **Warning** rather than an Error.
  It is not seen as crucial that the association is not made, however if the "for" attribute has been filled, the intention is assumed that it is
  <em>meant</em> to link to a form control - and thus if it doesn't, it should be manually checked for potential mistyping or other review.

* *Contrast tests (Success Criteria 1.4.3 and 1.4.6):*  

  Elements which are marked as disabled using the "disabled" or "aria-disabled" attributes will now be ignored for colour contrast purposes.

[WCAG20]: http://www.w3.org/TR/WCAG20
